Seite 2 von 2 ErsteErste 1 2
Ergebnis 11 bis 16 von 16

Thema: Umstieg auf Joomla 1.7 sinnvoll?

  1. #11
    Neu an Board
    Registriert seit
    22.03.2011
    Beiträge
    66
    Bedankte sich
    0
    Erhielt 10 Danksagungen
    in 10 Beiträgen

    Standard

    Zitat Zitat von chr__au Beitrag anzeigen
    HI, mich würde interessieren ob die Templates der 1.6er Version nun kompatibel mit den Zukünftigen Versionen ist. Mich stört am meisten, dass ich bei jeder neuen Joomla Version ein neues Template schreiben muss. (Ich pass immer das Beez-Template an, das dauert aber auch immer seine Zeit und Nerven) Was mich halt stört ist, ich sitze mir drei bis vier Tage den Ars... wund um das Template anzupassen, so dass dann auch alles Passt und dann erfährt man, dass es eine neue Version geben soll . Da denkt man warum hab ich mich jetzt gerade erst hingesetzt? Ich verstehe nicht warum das Joomla Core-Team es nicht hin bekommt, dass Templates vom Core Unabhängig sind. Ich lerne gerade für mein Studium Java und da haben wir erst neulich das MVC Prinzip gelernt und ich muss sagen es macht sinn und wenn man sich mal richtig damit auseinandersetzt kann das "leben" Retten.
    Templates wurden nicht großartig verändert seit 1.6. Es gibt ein paat kleine Änderungen an den core layouts wo du vielleicht mal etwas CSS anpassen musst. Ausserdem gab es mit 1.6.4 einen secruity fix für einige layouts, wenn du die überschrieben hast solltest du den fix auch bei dir einbauen.

    Zitat Zitat von chr__au Beitrag anzeigen
    Danke aber da fällt mir nun noch was anderes ein, es wird ja gesagt, dass J! 1.8 eine LTD sein soll, muss darauf dann eine Migration erfolgen oder bleiben jetzt alle Versionen zu den Darunterliegenden Versionen kompatibel?
    Nicht LTD (auch nicht LTE) sondern LTS (=Long Term Stable) heißt das ganze. Ein update von 1.7 sollte eben so einfach sein wie 1.6->1.7. Von 1.5 ist ene migration notwedig.

    Aktuell in der Diskussion ist noch wann diverse ältere APIs und Unterstützung für PHP 5.2 and Internet Explorer 7 verschwinen. Die Mehrheit scheint zu efürworten dies mit dem ersten Release nach der LTS zu machen (d.h. 1.9 oder wie auch immer sie heißt). Ist wie gesagt aber noch in der Diskussion.

  2. #12
    Wohnt hier Avatar von Joomla-Hilfe
    Registriert seit
    12.08.2010
    Beiträge
    4.157
    Bedankte sich
    109
    Erhielt 1.258 Danksagungen
    in 984 Beiträgen

    Standard

    Zitat Zitat von Orpheus2510 Beitrag anzeigen
    Erweiterungen von J1.6 werden aller Wahrscheinlichkeit nach mit J1.7 kompatibel sein, da ja auch der Schritt von J1.6 zu J1.7 nur ein Update und keine Migration ist.
    Die meisten laufen, aber nicht nicht alle. Es wird gerade umfangreich getestet. In einem Fall war bisher ein Fehler in Joomla schuld, in den übrigen Fällen die Programmierer der Extensions. Z.B. wird Kunena nicht ohne Update laufen. Wenn man die Joomla-Version abfragt, überprüft, ob es eine 1.6 ist, und wenn nicht, den Code für 1.5 ausführt, ist das auch ziemlich normal.

    Eine andere Extension fragt die Version nicht über die Systemfunktion ab, sondern lädt die version.php direkt und liest den Inhalt aus. Die version.php ist aber jetzt bei einer Aufräumaktion in einem anderen Ordner gelandet...

    Andere Extensions rufen Systemfunktionen in undokumentierter Form auf. In 1.6 funktioniert das zufällig, 1.7 nicht mehr. Die fahren jetzt natürlich ausnahmslos vor die Wand. Die Autoren werden informiert und können schon aktiv werden. Aber sämtliche Extensions können natürlich in der Bug Squad nicht getestet werden. Es wird sicherlich noch mehr geben, die nicht problemlos laufen, und wenn ein Fehler in Joomla daran schuld ist. wird er natürlich behoben.
    Danke?

    Stell dir vor, es geht, aber keiner kriegt's hin.
    In vielen Fällen bleibt der Hirntod jahrelang unbemerkt. (Nuhr)

  3. #13
    Wohnt hier Avatar von Joomla-Hilfe
    Registriert seit
    12.08.2010
    Beiträge
    4.157
    Bedankte sich
    109
    Erhielt 1.258 Danksagungen
    in 984 Beiträgen

    Standard

    Zitat Zitat von realityking Beitrag anzeigen
    LTS (=Long Term Stable)
    LTS bedeutet Long Time Support Release, im Gegensatz zum STS (Short Time Support Relase). Short Time sind 7 Monate, Long Time 21.
    Danke?

    Stell dir vor, es geht, aber keiner kriegt's hin.
    In vielen Fällen bleibt der Hirntod jahrelang unbemerkt. (Nuhr)

  4. #14
    Neu an Board
    Registriert seit
    22.03.2011
    Beiträge
    66
    Bedankte sich
    0
    Erhielt 10 Danksagungen
    in 10 Beiträgen

    Standard

    Zitat Zitat von Joomla-Hilfe Beitrag anzeigen
    LTS bedeutet Long Time Support Release, im Gegensatz zum STS (Short Time Support Relase). Short Time sind 7 Monate, Long Time 21.
    wir haben beide unrecht

    Leut http://developer.joomla.org/strategy.html heißt es long term support release.

  5. #15
    War schon öfter hier
    Registriert seit
    19.03.2009
    Beiträge
    233
    Bedankte sich
    109
    1 Danksagung in 1 Beitrag

    Standard

    was sollen diese schnellen Wechsel eigentlich? Ich habe immer noch 1.5.23 und mag es auch noch lange behalten. Muss ich nun immer auf 1.7, 1.8, ... jeden Monat wechseln oder kann ich die 1.5er auch noch ewig nehmen?

  6. #16
    Gute Seele des Boards Avatar von Orpheus2510
    Registriert seit
    17.10.2006
    Beiträge
    20.807
    Bedankte sich
    287
    Erhielt 4.976 Danksagungen
    in 4.514 Beiträgen

    Standard

    Du kannst bis Mitte nächsten Jahres bei J1.5 bleiben - dann wird der Support dafür eingestellt (= keine Sicherheitsupdates mehr). Anfang nächsten Jahres kommt J1.8, die nächste LTS-Version (wie J1.5).

Seite 2 von 2 ErsteErste 1 2

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein